Skip to main content

Query Parameters

FieldTypeNeedDescriptionExample
”account”stringrequiredAccount address to filter orders42trU9A5…
“limit”integeroptionalMaximum number of records to return, default to 100100
”cursor”stringoptionalCursor pagination to access records. Default to none1115hVka

Response

  • Status 200: Successfully retrieved order history
FieldTypeDescription
”order_id”integerOrder id assigned to order
”client_order_id”UUIDCLOID of order if assigned by user
”symbol”stringTrading pair symbol
”side”stringWhether the order is a bid or an ask
”initial_price”decimal stringInitial (limit) price of the order
”average_filled_price”decimal stringVWAP of price at which the order was filled at
”amount”decimal stringAmount (in token denomination) of the order placed
”filled_amount”decimal stringAmount (in token denomination) of the order placed that was filled
”order_status”string”open"
"partially_filled"
"filled"
"cancelled"
"rejected"
"order_type”string”limit"
"market"
"stop_limit"
"stop_market"
"take_profit_limit"
"stop_loss_limit"
"take_profit_market"
"stop_loss_market"
"stop_price”decimal stringStop price assigned upon order creation for subsequent position if order is filled if specified by user.
”stop_parent_order_id”integerOrder id of stop order attached to original order
”reduce_only”booleanIf the order is reduce only
”trigger_price_type”stringPrice type used to trigger stop orders (mark_price, last_trade_price, mid_price); defaults to last_trade_price
”reason”stringProvides reason for an order being “cancelled” or “rejected”:
“cancel"
"force_cancel"
"expired"
"post_only_rejected"
"self_trade_prevented"
"instrument_type”stringInstrument type of the market
”created_at”integerTimestamp in milliseconds when the order was created on Pacifica
”updated_at”integerTimestamp in milliseconds when any of the order was last modified
’next_cursor’stringNext cursor for pagination
’has_more’booleanTrue if there exists a ‘next_cursor’
  • Status 400: Invalid request parameters
  • Status 401: Unauthorized access
  • Status 500: Internal server error

Code Example (Python)